<?php
/*
 * This file is part of LinkMan - PHP Links Manager.
 *
 * (c) Copyright 2016 by Klemen Stirn. All rights reserved.
 * http://www.phpjunkyard.com
 * http://www.phpjunkyard.com/php-link-manager.php
 *
 * For the full copyright and license agreement information, please view
 * the docs/index.html file that was distributed with this source code.
 */

/*
 * LANGUAGE: English (US)
 * Translated by: Klemen Stirn
 *
 * !!! This file must be saved in UTF-8 encoding without byte order mark (BOM) !!!
 * Test chars: àáâãäåæ
 */

$lang = array(

    // Language definitions
    'lang_lang'       => "English", // English name
    'lang_desc'       => "American English", // Native name and/or description

    // Error messages
    'e_error'         => "Error",
    'e_invalid_id'    => "invalid ID.",
    'e_id_not_found'  => "link with this ID not found.",
    'e_session_var'   => "missing a required session variable. Try submitting your link again or report this error to the webmaster.",
    'e_spam_banned'   => "you are banned from this link exchange.",
    'e_many_failed'   => "Too many failed submissions, please type in the security number again.",
    'e_question'      => "Wrong answer to the above question. Please try answering again.",
    'e_question_no'   => "Please answer the question above. This helps prevent automated submissions.",
    'e_mysecnum'      => "Wrong security number.",
    'e_mysecnum_no'   => "Security number missing, please type in the number you see in the image into the field provided.",
    'e_name'          => "Enter your full name.",
    'e_email'         => "Enter a valid email address.",
    'e_title'         => "Enter your website title.",
    'e_title_long'    => "Too long title (%s chars), please reduce website title to 75 chars.",
    'e_desc'          => "Enter your website description.",
    'e_desc_long'     => "Too long description (%s chars), please reduce website description to 250 chars.",
    'e_url'           => "Enter a valid website URL address.",
    'e_recurl'        => "Enter a valid URL address of the page where the link to our website is located.",
    'e_recurl_domain' => "The page with reciprocal link must be located at <strong>%s</strong>",
    'e_url_duplicate' => "Do not submit the same website more than once or all your links will be removed.",
    'e_recurl_type'   => "This reciprocal URL format is not allowed.",
    'e_SL_title'      => "Don't use superlatives (words such as best, biggest, cheapest, largest) in title.",
    'e_SL_desc'       => "Don't use superlatives (words such as best, biggest, cheapest, largest) in description.",
    'e_spam_T'        => "Website title failed our SPAM filter.",
    'e_spam_D'        => "Website description failed our SPAM filter.",
    'e_spam_URL'      => "Website URL failed our SPAM filter.",
    'e_perm_ban'      => "This website has been permanently banned from our link exchange.",
    'e_open_url'      => "Cannot open your website URL",
    'e_open_recurl'   => "Cannot open your page with reciprocal URL",
    'e_no_link'       => "Reciprocal link not found. Please place a link to our website on your website before submitting your link to the exchange.",
    'e_nofollow'      => "Please do not block our link with a <strong>nofollow</strong> tag.",
    'e_pending'       => "A link from this website is already pending approval.",
    'e_data'          => "Missing or invalid data, see below for details.",

    // Exceptions - these should NOT be translated so they are easier to debug
    'x_db_missing'    => "database file missing.",
    'x_db_write'      => "Error writing to database file, please try again later.",
    'x_tmp_write'     => "Error writing to <strong>/tmp</strong> folder.",

    // Page titles
    't_links'         => "Links",
    't_submit_1'      => "Submit a website - step 1",
    't_submit_2'      => "Submit a website - step 2",
    't_submit_3'      => "Submission complete",
    
    // Links page
    'featured_links'  => "Featured Websites",
    'links'           => "Links",
    'submit_link'     => "Submit a Website",

    // Step 1 page
    'step_1'          => "Step 1",
    'step_1_title'    => "Step 1: place a link to our website on your website",
    'low_quality'     => "Links placed on low quality pages (excessive number of links, hidden pages, offensive content, ...) will be rejected!",
    'site_url'        => "Website URL:",
    'site_title'      => "Website Title:",
    'site_desc'       => "Description:",
    'site_code'       => "Sample HTML code:",
    'step_2_link'     => "Continue to Step 2",

    // Step 2 page
    'step_2'          => "Step 2",
    'step_2_title'    => "Step 2: submit your website",
    'verifying'       => "Verifying, please wait...",
    'your_name'       => "Your Name:",
    'your_email'      => "Your Email:",
    'web_title'       => "Website Title:",
    'web_url'         => "Website URL:",
    'web_desc'        => "Website Description:",
    'web_recurl'      => "Reciprocal link URL:",
    'h_your_name'     => "Enter your full name.",
    'h_your_email'    => "Enter your email address.",
    'h_web_title'     => "Your website title.",
    'h_web_desc'      => "A short website description.",
    'h_web_url'       => "Website URL to be used in the link exchange.",
    'h_web_recurl'    => "Page where a reciprocal link to our website from <a href=\"submit_step1.php\">Step 1</a> is located.",
    'h_spam_question' => "Answer the above question. This helps prevent automated submissions.",
    'h_spam_secimg'   => "Type in the number you see above. This helps prevent automated submissions.",
    'spam_prevention' => "SPAM Prevention:",
    'verify_passed'   => "Verification passed",
    'enter_number'    => "Enter this number below:",
    'step_3_link'     => "Click here to Continue",

    // Step 2 form placeholders
    'ph_your_name'    => "John Doe",
    'ph_your_email'   => "some@example.com",
    'ph_web_title'    => "My website",
    'ph_web_desc'     => "Visit this website to learn more about...",
    'ph_web_url'      => "http://www.example.com",
    'ph_web_recurl'   => "http://www.example.com/links.html",

    // Step 3 page
    'step_3'          => "Complete",
    'step_3_title'    => "Submission Complete",
    'alert_success'   => "<strong>Success:</strong> Thank you for submitting your website to our link exchange.",
    'manual_note'     => "<strong>Note:</strong> Your link is pending review by a human editor and will be activated shortly.",
    'continue_home'   => "Continue to our website",
    
);