<?php
/*
 * This file is part of LinkMan - PHP Links Manager.
 *
 * (c) Copyright 2016 by Klemen Stirn. All rights reserved.
 * http://www.phpjunkyard.com
 * http://www.phpjunkyard.com/php-link-manager.php
 *
 * For the full copyright and license agreement information, please view
 * the docs/index.html file that was distributed with this source code.
 */

define('IN_SCRIPT', 1);

// Require the settings file
require 'config/settings.php';

// Load functions
require 'inc/common.inc.php';
require 'inc/secimg.inc.php';

// Start session
pj_session_start();

// Generate a random number
$_SESSION['secnum'] = rand(10000, 99999);
$_SESSION['checksum'] = sha1($_SESSION['secnum'] . $settings['salt_spam']);

/* This will make sure the security image is not cached */
header("expires: -1");
header("cache-control: no-cache, no-store, must-revalidate, max-age=-1");
header("cache-control: post-check=0, pre-check=0", false);
header("pragma: no-store,no-cache");

$sc = new PJ_SecurityImage($settings['salt_spam']);
$sc->printImage($_SESSION['secnum']);

exit();
