<?php
if (!defined('IN_SCRIPT')) {
    die('Invalid attempt');
}
?>

<?php
// Include the "steps" wizard
$wizard_step = 2;
require $settings['template'].'/submit_wizard.tpl.php';
?>

<script type="text/javascript">
$(document).ready(function(){
    $('#c2c').click(function() {
        $("#c2c").text('<?php echo addslashes($lang['verifying']); ?>');
    })
});
</script>

<div class="row">
    <div class="col-lg-12">

        <h2><?php echo $lang['step_2_title']; ?></h2>

        <br>

        <?php pj_processMessages(); ?>

        <div class="panel panel-info">
            <div class="panel-body">
                <form action="submit_step2.php" method="post" name="addlinkform" class="form-horizontal">
                    <div class="form-group<?php echo isset($error_buffer['name']) ? ' has-error' : ''; ?>">
                        <label for="name" class="col-lg-3 control-label bold"><?php echo $lang['your_name']; ?></label>
                        <div class="col-lg-9">
                            <input type="text" id="name" name="yourname" value="<?php echo $name; ?>" size="50" maxlength="255" class="form-control" placeholder="<?php echo $lang['ph_your_name']; ?>">
                            <p class="help-block"><?php echo isset($error_buffer['name']) ? $error_buffer['name'] : $lang['h_your_name']; ?></p>
                        </div>
                    </div>
                    <div class="form-group<?php echo isset($error_buffer['email']) ? ' has-error' : ''; ?>">
                        <label for="email" class="col-lg-3 control-label bold"><?php echo $lang['your_email']; ?></label>
                        <div class="col-lg-9">
                            <input type="text" id="email" name="email" value="<?php echo $email; ?>" size="50" maxlength="255" class="form-control" placeholder="<?php echo $lang['ph_your_email']; ?>">
                            <p class="help-block"><?php echo isset($error_buffer['email']) ? $error_buffer['email'] : $lang['h_your_email']; ?></p>
                        </div>
                    </div>
                    <div class="form-group<?php echo isset($error_buffer['title']) ? ' has-error' : ''; ?>">
                        <label for="title" class="col-lg-3 control-label bold"><?php echo $lang['web_title']; ?></label>
                        <div class="col-lg-9">
                            <input type="text" id="title" name="title" value="<?php echo $title; ?>" maxlength="255" size="50" class="form-control" placeholder="<?php echo $lang['ph_web_title']; ?>">
                            <p class="help-block"><?php echo isset($error_buffer['title']) ? $error_buffer['title'] : $lang['h_web_title']; ?></p>
                        </div>
                    </div>
                    <div class="form-group<?php echo isset($error_buffer['description']) ? ' has-error' : ''; ?>">
                        <label for="description" class="col-lg-3 control-label bold"><?php echo $lang['web_desc']; ?></label>
                        <div class="col-lg-9">
                            <input type="text" id="description" name="description" value="<?php echo $description; ?>" maxlength="255" size="50" class="form-control" placeholder="<?php echo $lang['ph_web_desc']; ?>">
                            <p class="help-block"><?php echo isset($error_buffer['description']) ? $error_buffer['description'] : $lang['h_web_desc']; ?></p>
                        </div>
                    </div>
                    <div class="form-group<?php echo isset($error_buffer['url']) ? ' has-error' : ''; ?>">
                        <label for="url" class="col-lg-3 control-label bold"><?php echo $lang['web_url']; ?></label>
                        <div class="col-lg-9">
                            <input type="url" id="url" name="url" value="<?php echo $url; ?>" size="50" class="form-control" placeholder="<?php echo $lang['ph_web_url']; ?>">
                            <p class="help-block"><?php echo isset($error_buffer['url']) ? $error_buffer['url'] : $lang['h_web_url']; ?></p>
                        </div>
                    </div>
                    <div class="form-group<?php echo isset($error_buffer['recurl']) ? ' has-error' : ''; ?>">
                        <label for="recurl" class="col-lg-3 control-label bold"><?php echo $lang['web_recurl']; ?></label>
                        <div class="col-lg-9">
                            <input type="url" id="recurl" name="recurl" value="<?php echo $recurl; ?>" size="50" class="form-control" placeholder="<?php echo $lang['ph_web_recurl']; ?>">
                            <p class="help-block"><?php echo isset($error_buffer['recurl']) ? $error_buffer['recurl'] : $lang['h_web_recurl']; ?></p>
                        </div>
                    </div>

                    <?php
                    // Security question
                    if ($settings['question_use']) {
                        if (isset($_SESSION['question_verified'])) {
                            ?>
                            <div class="form-group">
                                <label for="question" class="col-lg-3 control-label bold"><?php echo $lang['spam_prevention']; ?></label>
                                <div class="col-lg-9">
                                    <p class="text-inline text-success"><i class="glyphicon glyphicon-ok"></i>&nbsp;<?php echo $lang['verify_passed']; ?></p>
                                    <p class="help-block">&nbsp;</p>
                                </div>
                            </div>
                            <?php
                        } else {
                            ?>
                            <div class="form-group<?php echo isset($error_buffer['question']) ? ' has-error' : ''; ?>">
                                <label for="question" class="col-lg-3 control-label bold"><?php echo $lang['spam_prevention']; ?></label>
                                <div class="col-lg-9">
                                    <p class="text-inline"><?php echo $settings['question_ask']; ?></p>
                                    <p><input type="text" id="question" name="question" value="<?php echo $question; ?>" size="50" class="form-control">
                                    </p>
                                    <p class="help-block"><?php echo isset($error_buffer['question']) ? $error_buffer['question'] : $lang['h_spam_question']; ?></p>
                                </div>
                            </div>
                            <?php
                        }
                    } // END if $settings['question_use']

                    // Security image
                    if ($settings['secimg_use']) {
                        if (isset($_SESSION['secimg_verified']) && $_SESSION['secimg_verified'] <= 5) {
                            ?>
                            <div class="form-group">
                                <label for="mysecnum" class="col-lg-3 control-label bold"><?php echo $lang['spam_prevention']; ?></label>
                                <div class="col-lg-9">
                                    <p class="text-inline text-success"><i class="glyphicon glyphicon-ok"></i>&nbsp;<?php echo $lang['verify_passed']; ?></p>
                                    <p class="help-block">&nbsp;</p>
                                </div>
                            </div>
                            <?php
                        } else {
                            ?>
                            <script type="text/javascript">
                                $(document).ready(function () {
                                    $('#secimg-reload').click(function () {
                                        $("#secimg").attr("src", "print_sec_img.php?" + ( Math.floor((90000) * Math.random()) + 10000));
                                    });
                                });
                            </script>
                            <div class="form-group<?php echo isset($error_buffer['mysecnum']) ? ' has-error' : ''; ?>">
                                <label for="mysecnum" class="col-lg-3 control-label bold"><?php echo $lang['spam_prevention']; ?></label>
                                <div class="col-lg-9">
                                    <p>
                                        <img src="print_sec_img.php?'<?php echo rand(10000, 99999); ?>" width="150" height="40" alt="Security image" title="Security image" border="1" name="secimg" id="secimg"> &nbsp;
                                        <button type="button" class="btn btn-info" id="secimg-reload"><i class="glyphicon glyphicon-refresh"></i>&nbsp;Reload image</button>
                                    </p>
                                    <p><input type="text" id="mysecnum" name="mysecnum" value="<?php echo $mysecnum; ?>" size="50" class="form-control" maxlength="5" size="10" style="width:150px;"></p>
                                    <p class="help-block"><?php echo isset($error_buffer['mysecnum']) ? $error_buffer['mysecnum'] : $lang['h_spam_secimg']; ?></p>
                                </div>
                            </div>
                            <?php
                        }
                    } // END if $settings['secimg_use']

                    // ReCaptcha
                    if ($settings['recaptcha_use']) {
                        if (isset($_SESSION['recaptcha_verified']) && $_SESSION['recaptcha_verified'] <= 5) {
                            ?>
                            <div class="form-group">
                                <label for="recaptcha" class="col-lg-3 control-label bold"><?php echo $lang['spam_prevention']; ?></label>
                                <div class="col-lg-9">
                                    <p class="text-inline text-success"><i class="glyphicon glyphicon-ok"></i>&nbsp;<?php echo $lang['verify_passed']; ?></p>
                                    <p class="help-block">&nbsp;</p>
                                </div>
                            </div>
                            <?php
                        } else {
                            ?>
                            <div
                                class="form-group<?php echo isset($error_buffer['recaptcha']) ? ' has-error' : ''; ?>">
                                <label for="recaptcha" class="col-lg-3 control-label bold"><?php echo $lang['spam_prevention']; ?></label>
                                <div class="col-lg-9">
                                    <div class="g-recaptcha" data-sitekey="<?php echo $settings['recaptcha_site_key']; ?>"></div>
                                    <p class="help-block"><?php echo isset($error_buffer['recaptcha']) ? $error_buffer['recaptcha'] : $lang['h_spam_secimg']; ?></p>
                                </div>
                            </div>
                            <?php
                        }
                    } // END if $settings['recaptcha_use']
                    ?>

                    <div class="form-group">
                        <div class="col-lg-offset-3 col-lg-9">
                            <input type="hidden" name="action" value="add">
                            <input type="hidden" name="name" value="x">
                            <input type="hidden" name="token" value="<?php echo pj_token_get(); ?>">
                            <button type="submit" class="btn btn-primary" id="c2c"><?php echo $lang['step_3_link']; ?></button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
