<?php
/*
 * This file is part of LinkMan - PHP Links Manager.
 *
 * (c) Copyright 2016 by Klemen Stirn. All rights reserved.
 * http://www.phpjunkyard.com
 * http://www.phpjunkyard.com/php-link-manager.php
 *
 * For the full copyright and license agreement information, please view
 * the docs/index.html file that was distributed with this source code.
 */

define('IN_SCRIPT', 1);
define('THIS_PAGE', 'VIEW_EMAIL');

// Require the settings file
require '../config/settings.php';

// Check demo mode
if (defined('PJ_DEMO')) {
    die('This function has been disabled in demo.');
}

// Load functions
require '../inc/common.inc.php';

// Load verification functions
require '../inc/verify.inc.php';

// The settings file is in parent folder
$settings['db_file'] = '../config/' . $settings['db_file'];

// Get the file key
$file_key = preg_replace('/[^0-9a-f]/', '', pj_GET('key'));

// Does the file exist?
if (!strlen($file_key) || !file_exists('../tmp/' . $file_key . '.php')) {
    die('Missing or invalid key');
}

// Is this a jquery call?
$jquery = pj_GET('jquery', 0);

// Start session
if (!$jquery) {
    pj_session_start();
}

// Get the action to do
$approve = pj_GET('approve', -1);

// Approve the link
if ($approve == 1) {
    // Get special tags from the file
    $special_tags = pj_get_tmp_array($file_key);

    // Get links database
    $data = explode('//', file_get_contents($settings['db_file']), 2);

    // Convert contents into an array
    $database = isset($data[1]) ? unserialize($data[1]) : array();
    unset($data);

    // Generate next ID
    $id = count($database) ? max(array_keys($database)) : 0;
    $id++;

    // Generate link array
    reset($database);
    $database[$id] = array('D' => date('Y-m-d'), 'L' => $special_tags['{URL}'], 'R' => $special_tags['{RECURL}'], 'T' => $special_tags['{TITLE}'], 'S' => $special_tags['{DESCRIPTION}'], 'N' => $special_tags['{NAME}'], 'E' => $special_tags['{EMAIL}'], 'F' => 0, 'O' => $settings['add_to']);
    uasort($database, 'sort_order');
    reset_sort_order($database);

    // Update database file
    if (@file_put_contents($settings['db_file'], "<?php die();//" . serialize($database), LOCK_EX) === false) {
        die('Error writing to database file, please try again later.');
    }

    // Link was approved
    if ($jquery) {
        echo "APPROVED";
    } else {
        $_SESSION['APPROVED'] = true;
    }
} // Reject the link
else {
    // Link was rejected
    if ($jquery) {
        echo "REJECTED";
    } else {
        $_SESSION['APPROVED'] = false;
    }
}

// Delete temporary file
unlink('../tmp/' . $file_key . '.php');

// Redirect to submit/complete.php
if (!$jquery) {
    header('Location: ../submit_approved.php');
}

// We're done
exit();
