<?php
/*
 * This file is part of LinkMan - PHP Links Manager.
 *
 * (c) Copyright 2016 by Klemen Stirn. All rights reserved.
 * http://www.phpjunkyard.com
 * http://www.phpjunkyard.com/php-link-manager.php
 *
 * For the full copyright and license agreement information, please view
 * the docs/index.html file that was distributed with this source code.
 */

define('IN_SCRIPT', 1);
define('LOAD_LANGUAGE', 1);
    
// Require the settings file
require 'config/settings.php';

// Load functions
require 'inc/common.inc.php';

// The settings file
$settings['db_file'] = 'config/' . $settings['db_file'];

// Get link ID
$id = isset($_GET['id']) ? intval($_GET['id']) : false;
if ($id === false || $id < 0) {
    die($lang['e_error'] .': ' . $lang['e_invalid_id']);
}

// Get links database
if (file_exists($settings['db_file'])) {
    $settings['db'] = explode('//', file_get_contents($settings['db_file']), 2);
} else {
    die($lang['e_error'] .': ' . $lang['x_db_missing']);
}

// Verify license and prepare database
$settings['pj_license']('HNldHRpbmdzWydkYiddPWlzc2V0KCRzZXR0aW5nc1snZGInXVsxXSk/
dW5zZXJpYWxpemUoJHNldHRpbmdzWydkYiddWzFdKTphcnJheSgpOyRzZXR0aW5nc1snZGInXVswXT1h
cnJheSgnTCc9PidodHRwOi8vd3d3LnBocGp1bmt5YXJkLmNvbScpOw==',"\112");

// If link found redirect there
if (isset($settings['db'][$id]['L'])) {
    header("Location: {$settings['db'][$id]['L']}");
    die();
}

// Link not found, show an error
die($lang['e_error'] .': ' . $lang['e_id_not_found']);